| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Tuples::_TupAdapter< OBJECT, ARGUMENT, RESULT > Class Template Reference

`#include <Tuples.h>`

Inheritance diagram for Tuples::_TupAdapter< OBJECT, ARGUMENT, RESULT >:

[legend]
Collaboration diagram for Tuples::_TupAdapter< OBJECT, ARGUMENT, RESULT >:

[legend]
List of all members.

## Detailed Description

### template<class OBJECT, class ARGUMENT = double, class RESULT = double>
class Tuples::_TupAdapter< OBJECT, ARGUMENT, RESULT >

Trivial adapter to avoid the GCC problem (pointer to the function is never evaluated as "const TYPE&" ).

Author:
  Vanya BELYAEV Ivan.Belyaev@lapp.in2p3.fr

Date:
  2005-05-01

Definition at line 35 of file Tuples.h.

## Public Member Functions
| _TupAdapter (OBJECT object)
RESULT | operator() (ARGUMENT arg) const
| the only one essential menthod
## Private Member Functions
| _TupAdapter ()
## Private Attributes
OBJECT | m_object

## Constructor & Destructor Documentation

template<class OBJECT, class ARGUMENT = double, class RESULT = double>

Tuples::_TupAdapter< OBJECT, ARGUMENT, RESULT >::_TupAdapter | ( | OBJECT | object | ) | `[inline]`

Definition at line 39 of file Tuples.h.

    00039 : m_object ( object ) {} ;

template<class OBJECT, class ARGUMENT = double, class RESULT = double>

Tuples::_TupAdapter< OBJECT, ARGUMENT, RESULT >::_TupAdapter | ( |  | ) | `[private]`

## Member Function Documentation

template<class OBJECT, class ARGUMENT = double, class RESULT = double>

RESULT Tuples::_TupAdapter< OBJECT, ARGUMENT, RESULT >::operator() | ( | ARGUMENT | arg | ) | const`[inline]`

the only one essential menthod

Definition at line 42 of file Tuples.h.

References Tuples::_TupAdapter< OBJECT, ARGUMENT, RESULT >::m_object.

    00043     { return m_object( arg )  ; }

## Member Data Documentation

template<class OBJECT, class ARGUMENT = double, class RESULT = double>

OBJECT Tuples::_TupAdapter< OBJECT, ARGUMENT, RESULT >::m_object`[private]`

Definition at line 48 of file Tuples.h.

Referenced by Tuples::_TupAdapter< OBJECT, ARGUMENT, RESULT >::operator()().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/GaudiAlg/Tuples.h